# Example: Swept Wing
#
# This script generates file constants.geo from file params.m.
# File constants.geo is included in file solid.geo.
#
# Run this script if you modified the geometry parameters in file
# params.m.
#
# ---------------------------------------------------------------

  fid = fopen("constants.geo", "wt");

  params

  fprintf(fid, "DefineConstant [ ");
  fprintf(fid, "b      = %4.0f,    // Half span\n", yt);
  fprintf(fid, "                 ");
  fprintf(fid, "sweep  = %4.0f,    // Sweep angle\n", sweep);
  fprintf(fid, "                 ");
  fprintf(fid, "c_root = %4.0f,    // Chord at wing root\n", cr);
  fprintf(fid, "                 ");
  fprintf(fid, "c_tip  = %4.0f ];  // Chord at wing tip\n", ct);

  fclose(fid);
          
